# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.579.9.9 -> 1.579.9.10
#	drivers/usb/misc/usblcd.c	1.3     -> 1.4    
#	drivers/usb/misc/Config.help	1.5     -> 1.6    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/09/23	info@usblcd.de	1.579.9.10
# [PATCH] USBLCD updates
# 
# -increased timeout value because some people reported problems
# -(important!) Vender ID has changed from 0x1212 to 0x10D2 , my official
#   assigned one.
# -added usblcd driver to configure.help
# --------------------------------------------
#
diff -Nru a/drivers/usb/misc/Config.help b/drivers/usb/misc/Config.help
--- a/drivers/usb/misc/Config.help	Mon Sep 23 15:15:43 2002
+++ b/drivers/usb/misc/Config.help	Mon Sep 23 15:15:43 2002
@@ -112,3 +112,13 @@
   For more information, see Johan Verrept's webpages at
   <http://linux-usb.sourceforge.net/SpeedTouch/>.
 
+CONFIG_USB_LCD
+  Say Y here if you want to connect an USBLCD to your computer's
+  USB port. The USBLCD is a small USB interface board for
+  alphanumeric LCD modules. See <http://www.usblcd.de> for more
+  information.
+
+  This code is also available as a module ( = code which can be
+  inserted in and removed from the running kernel whenever you want).
+  The module will be called usblcd.o. If you want to compile it as
+  a module, say M here and read <file:Documentation/modules.txt>.
diff -Nru a/drivers/usb/misc/usblcd.c b/drivers/usb/misc/usblcd.c
--- a/drivers/usb/misc/usblcd.c	Mon Sep 23 15:15:43 2002
+++ b/drivers/usb/misc/usblcd.c	Mon Sep 23 15:15:43 2002
@@ -1,7 +1,7 @@
 /***************************************************************************** 
  *                          USBLCD Kernel Driver                             *
  *        See http://www.usblcd.de for Hardware and Documentation.           *
- *                            Version 1.01                                   *
+ *                            Version 1.03                                   *
  *             (C) 2002 Adams IT Services <info@usblcd.de>                   *
  *                                                                           *
  *     This file is licensed under the GPL. See COPYING in the package.      *
@@ -18,7 +18,7 @@
 #include <asm/uaccess.h>
 #include <linux/usb.h>
 
-#define DRIVER_VERSION "USBLCD Driver Version 1.01"
+#define DRIVER_VERSION "USBLCD Driver Version 1.03"
 
 #define USBLCD_MINOR		144
 
@@ -26,7 +26,7 @@
 #define IOCTL_GET_DRV_VERSION	2
 
 /* stall/wait timeout for USBLCD */
-#define NAK_TIMEOUT	(HZ)
+#define NAK_TIMEOUT	(10*HZ)
 
 #define IBUF_SIZE	0x1000
 #define OBUF_SIZE	0x10000
@@ -318,7 +318,7 @@
 }
 
 static struct usb_device_id id_table [] = {
-	{ .idVendor = 0x1212, .match_flags = USB_DEVICE_ID_MATCH_VENDOR, },
+	{ .idVendor = 0x10D2, .match_flags = USB_DEVICE_ID_MATCH_VENDOR, },
 	{},
 };
 
